## texlive-extra 2015.20160320

=== texmf-dist/doc/generic/schemata/Makefile ===
NAME  = schemata
SHELL = bash
PWD   = $(shell pwd)
VERS  = $(shell ltxfileinfo -v $(NAME).dtx|sed -e 's/^v//')
LOCAL = $(shell kpsewhich --var-value TEXMFLOCAL)
UTREE = $(shell kpsewhich --var-value TEXMFHOME)
all:	$(NAME).pdf
	test -e README.txt && mv README.txt README || exit 0
$(NAME).pdf: $(NAME).dtx
	pdflatex -shell-escape -recorder -interaction=batchmode $(NAME).dtx >/dev/null
	pdflatex --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	if [ -f $(NAME).glo ]; then makeindex -q -s gglo.ist -o $(NAME).gls $(NAME).glo; fi
	if [ -f $(NAME).idx ]; then makeindex -q -s gind.ist -o $(NAME).ind $(NAME).idx; fi
	pdflatex --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	pdflatex --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
clean:
	rm -f $(NAME).{aux,fls,glo,gls,hd,idx,ilg,ind,ins,log,out,toc} README.txt
distclean: clean
	rm -f $(NAME).{pdf,sty} README
inst: all
	mkdir -p $(UTREE)/{tex,source,doc}/generic/$(NAME)
	cp $(NAME).dtx $(UTREE)/source/generic/$(NAME)
	cp Makefile $(UTREE)/source/generic/$(NAME)
	cp $(NAME).sty $(UTREE)/tex/generic/$(NAME)
	cp $(NAME).pdf $(UTREE)/doc/generic/$(NAME)
install: all
	sudo mkdir -p $(LOCAL)/{tex,source,doc}/generic/$(NAME)
	sudo cp $(NAME).dtx $(LOCAL)/source/generic/$(NAME)
	sudo cp Makefile $(LOCAL)/source/generic/$(NAME)
	sudo cp $(NAME).sty $(LOCAL)/tex/generic/$(NAME)
	sudo cp $(NAME).pdf $(LOCAL)/doc/generic/$(NAME)
zip: all
	ln -sf . $(NAME)
	zip -Drq $(PWD)/$(NAME)-$(VERS).zip $(NAME)/{README,Makefile,$(NAME).{pdf,dtx}}
	rm $(NAME)

=== texmf-dist/doc/latex/aomart/Makefile ===
#
# Makefile for aomart package
#
# This file is in public domain
#
# $Id: Makefile,v 1.4 2015-02-18 18:01:49 boris Exp $
#

PACKAGE=aomart

SAMPLES = \
	aomsample.tex\
	aomsample1.tex

PDF = $(PACKAGE).pdf ${SAMPLES:%.tex=%.pdf}

all:  ${PDF}


%.pdf:  %.dtx   $(PACKAGE).cls
	pdflatex $<
	- bibtex $*
	pdflatex $<
	- makeindex -s gind.ist -o $*.ind $*.idx
	- makeindex -s gglo.ist -o $*.gls $*.glo
	pdflatex $<
	while ( grep -q '^LaTeX Warning: Label(s) may have changed' $*.log) \
	do pdflatex $<; done


%.cls:   %.ins %.dtx  
	pdflatex $<

%.pdf:  %.tex   $(PACKAGE).cls
	pdflatex $<
	- bibtex $*
	pdflatex $<
	while ( grep -q '^LaTeX Warning: Label(s) may have changed' $*.log) \
	do pdflatex $<; done

aomsample1.tex: fullref.pl aomsample.tex
	perl fullref.pl aomsample.tex > aomsample1.tex


.PRECIOUS:  $(PACKAGE).cfg $(PACKAGE).cls


clean:
	$(RM)  $(PACKAGE).cls *.log *.aux \
	*.cfg *.glo *.idx *.toc \
	*.ilg *.ind *.out *.lof \
	*.lot *.bbl *.blg *.gls \
	*.dvi *.ps *.thm *.tgz *.zip *.rpi

distclean: clean
	$(RM) $(PDF) aomsample1.tex

#
# Archive for the distribution. Includes typeset documentation
#
archive:  all clean
	tar -C .. -czvf $(PACKAGE).tgz --exclude '*~' --exclude '*.tgz' --exclude '*.zip'  --exclude CVS $(PACKAGE)

zip:  all clean
	zip -r  $(PACKAGE).zip * -x '*~' -x '*.tgz' -x '*.zip' -x CVS -x 'CVS/*'

=== texmf-dist/doc/latex/biblatex-caspervector/Makefile ===
# Copyright (c) 2011-2013 Casper Ti. Vector
# Public domain.

doc:
	latex readme
	biber -l zh__pinyin readme
	xelatex readme
	xelatex readme

toutf8:
	sed -i '1,10 s/GBK/UTF8/; 1,10 s/gbk/utf8/' readme.tex
	enca -L zh -x UTF-8 readme.*

togbk:
	sed -i '1,10 s/UTF8/GBK/; 1,10 s/utf8/gbk/' readme.tex
	enca -L zh -x GBK readme.*

clean:
	rm -f readme.{aux,bbl,bcf,blg,dvi,log,run.xml,out} {missfont,texput}.log

distclean: clean
	rm -f readme.pdf

# vim:ts=4:sw=4

=== texmf-dist/doc/latex/nameauth/Makefile ===
NAME  = nameauth
ENGINE ?= pdflatex
#	On the command line:
#	make ENGINE=latex
#	make ENGINE=xelatex
#	make ENGINE=lualatex
SHELL = bash
PWD   = $(shell pwd)
VERS  = $(shell ltxfileinfo -v $(NAME).dtx|sed -e 's/^v//')
LOCAL = $(shell kpsewhich --var-value TEXMFLOCAL)
UTREE = $(shell kpsewhich --var-value TEXMFHOME)
all:	$(NAME).pdf
	test -e README.txt && mv README.txt README || exit 0
$(NAME).pdf: $(NAME).dtx
	$(ENGINE) -shell-escape -recorder -interaction=batchmode $(NAME).dtx >/dev/null
	$(ENGINE) --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	if [ -f $(NAME).glo ]; then makeindex -q -s gglo.ist -o $(NAME).gls $(NAME).glo; fi
	if [ -f $(NAME).idx ]; then makeindex -q -s gind.ist -o $(NAME).ind $(NAME).idx; fi
	$(ENGINE) --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
	$(ENGINE) --recorder --interaction=nonstopmode $(NAME).dtx > /dev/null
clean:
	rm -f $(NAME).{aux,fls,glo,gls,hd,idx,ilg,ind,ins,log,out,toc} README.txt
distclean: clean
	rm -f $(NAME).{pdf,sty} README
inst: all
	mkdir -p $(UTREE)/{tex,source,doc}/latex/$(NAME)
	cp $(NAME).dtx $(UTREE)/source/latex/$(NAME)
	cp Makefile $(UTREE)/source/latex/$(NAME)
	cp $(NAME).sty $(UTREE)/tex/latex/$(NAME)
	cp $(NAME).pdf $(UTREE)/doc/latex/$(NAME)
install: all
	sudo mkdir -p $(LOCAL)/{tex,source,doc}/latex/$(NAME)
	sudo cp $(NAME).dtx $(LOCAL)/source/latex/$(NAME)
	sudo cp Makefile $(LOCAL)/source/latex/$(NAME)
	sudo cp $(NAME).sty $(LOCAL)/tex/latex/$(NAME)
	sudo cp $(NAME).pdf $(LOCAL)/doc/latex/$(NAME)
zip: all
	ln -sf . $(NAME)
	zip -Drq $(PWD)/$(NAME)-$(VERS).zip $(NAME)/{README,Makefile,$(NAME).{pdf,dtx}}
	rm $(NAME)

=== texmf-dist/doc/latex/photo/Makefile ===
PKGNAME=photo
VERSION=`grep '\[[0-9][0-9][0-9][0-9]/[0-9][0-9]/[0-9][0-9]  *v' $(PKGNAME).dtx | sed 's/^[^[]*[^v]*v\\([^ ]*\\).*/\\1/'`
SRCDIR=$(PKGNAME)
DISTFILES=\
	$(SRCDIR)/Makefile \
	$(SRCDIR)/$(PKGNAME).dtx \
	$(SRCDIR)/$(PKGNAME).ins \
	$(SRCDIR)/$(PKGNAME).pdf \
	$(SRCDIR)/$(PKGNAME)_test.tex

TEXMFLOCAL:=`kpsewhich --expand-path='$$TEXMFLOCAL'`
STYDIR=$(TEXMFLOCAL)/tex/latex/$(PKGNAME)
DOCDIR=$(TEXMFLOCAL)/doc/latex/$(PKGNAME)


.SUFFIXES:
.SUFFIXES: .sty .ins .dtx .dvi .ps .pdf

.ins.sty:
	latex $<

.dtx.dvi:
	latex $<
	latex $<
	makeindex -s gind.ist $(*D)/$(*F).idx
	makeindex -s gglo.ist -o $(*D)/$(*F).gls $(*D)/$(*F).glo
	latex $<
	latex $<

.dvi.ps:
	dvips -o $(*D)/$(*F).ps $(*D)/$(*F)

.dtx.pdf:
	pdflatex $<
	

all: $(PKGNAME).sty $(PKGNAME).dvi $(PKGNAME).ps $(PKGNAME).pdf

tarfile=$(PKGNAME)-$(VERSION).tar.gz
tar:
	@echo "**************************"
	@echo Creating: $(tarfile)
	@echo "**************************"
	@-rm -f $(tarfile)
	tar -cz -C .. --owner 0 --group 0 --mode=a+r -f $(tarfile) $(DISTFILES)

install: all
	if [ ! -d $(STYDIR) ]; then mkdirhier $(STYDIR); fi
	if [ ! -d $(DOCDIR) ]; then mkdirhier $(DOCDIR); fi
	for file in *.sty; do \
	  install -m644 $$file $(STYDIR); \
	done
	for file in *.dvi; do \
	  install -m644 $$file $(DOCDIR); \
	done
	mktexlsr

clean:
	@-rm -f $(PKGNAME).glo $(PKGNAME).gls $(PKGNAME).idx $(PKGNAME).ilg
	@-rm -f $(PKGNAME).ind $(PKGNAME).aux $(PKGNAME).toc
#	@-rm -f $(PKGNAME).drv $(PKGNAME).log
	@-rm -f *~

distclean: clean
	@-rm -f $(PKGNAME).drv $(PKGNAME).log
	@-rm -f $(PKGNAME).sty $(PKGNAME).dvi \
		$(PKGNAME).ps $(PKGNAME).pdf $(PKGNAME).ps.pdf


$(PKGNAME).sty: $(PKGNAME).ins $(PKGNAME).dtx
$(PKGNAME).dvi: $(PKGNAME).sty
$(PKGNAME).pdf: $(PKGNAME).ins $(PKGNAME).dtx $(PKGNAME).dvi

=== texmf-dist/doc/latex/resphilosophica/Makefile ===
#
# Makefile for resphilosophica package
#
# This file is in public domain
#
# $Id: Makefile,v 1.9 2015/01/16 17:56:02 boris Exp $
#

PACKAGE=resphilosophica

SAMPLES = rpsample.tex 

PDF = $(PACKAGE).pdf ${SAMPLES:%.tex=%.pdf}

all:  ${PDF} 


%.pdf:  %.dtx   $(PACKAGE).cls
	pdflatex $<
	- bibtex $*
	pdflatex $<
	- makeindex -s gind.ist -o $*.ind $*.idx
	- makeindex -s gglo.ist -o $*.gls $*.glo
	pdflatex $<
	while ( grep -q '^LaTeX Warning: Label(s) may have changed' $*.log) \
	do pdflatex $<; done


%.cls:   %.ins %.dtx  
	pdflatex $<

%.pdf:  %.tex   $(PACKAGE).cls 
	pdflatex $<
	- bibtex $*
	pdflatex $<
	pdflatex $<
	while ( grep -q '^LaTeX Warning: Label(s) may have changed' $*.log) \
	do pdflatex $<; done


.PRECIOUS:  $(PACKAGE).cfg $(PACKAGE).cls


clean:
	$(RM)  $(PACKAGE).cls *.log *.aux \
	*.cfg *.glo *.idx *.toc \
	*.ilg *.ind *.out *.lof \
	*.lot *.bbl *.blg *.gls \
	*.dvi *.ps *.hd *.rpi *.notes

distclean: clean
	$(RM) $(PDF) 

#
# Archive for the distribution. Includes typeset documentation
#
archive:  all clean
	tar -czvf $(PACKAGE).tgz -C .. --exclude '*~' \
	--exclude '*.tgz' --exclude CVS \
	--transform 's/latex/resphilosophica/' latex

=== texmf-dist/doc/latex/texvc/Makefile ===
PACKAGE = texvc
all: $(PACKAGE).pdf

$(PACKAGE).sty: $(PACKAGE).dtx $(PACKAGE).ins
	pdflatex $(PACKAGE).ins

$(PACKAGE).pdf: $(PACKAGE).dtx $(PACKAGE).sty
	pdflatex $(PACKAGE).dtx

=== texmf-dist/doc/latex/thuthesis/Makefile ===
# Makefile for ThuThesis

# Compiling method: latexmk/xelatex/pdflatex
METHOD = latexmk
# Set opts for latexmk if you use it
LATEXMKOPTS = -xelatex
# Basename of thesis
THESISMAIN = main
# Basename of shuji
SHUJIMAIN = shuji

PACKAGE=thuthesis
SOURCES=$(PACKAGE).ins $(PACKAGE).dtx
THESISCONTENTS=$(THESISMAIN).tex data/*.tex $(FIGURES)
# NOTE: update this to reflect your local file types.
FIGURES=$(wildcard figures/*.eps figures/*.pdf)
BIBFILE=ref/*.bib
SHUJICONTENTS=$(SHUJIMAIN).tex
CLSFILES=dtx-style.sty $(PACKAGE).cls $(PACKAGE).cfg

# make deletion work on Windows
ifdef SystemRoot
	RM = del /Q
	OPEN = start
else
	RM = rm -f
	OPEN = open
endif

.PHONY: all clean distclean dist thesis viewthesis shuji viewshuji doc viewdoc cls check FORCE_MAKE

all: doc thesis shuji

cls: $(CLSFILES)

$(CLSFILES): $(SOURCES)
	latex $(PACKAGE).ins

viewdoc: doc
	$(OPEN) $(PACKAGE).pdf

doc: $(PACKAGE).pdf

viewthesis: thesis
	$(OPEN) $(THESISMAIN).pdf

thesis: $(THESISMAIN).pdf

viewshuji: shuji
	$(OPEN) $(SHUJIMAIN).pdf

shuji: $(SHUJIMAIN).pdf

ifeq ($(METHOD),latexmk)

$(PACKAGE).pdf: $(CLSFILES) FORCE_MAKE
	$(METHOD) $(LATEXMKOPTS) $(PACKAGE).dtx

$(THESISMAIN).pdf: $(CLSFILES) FORCE_MAKE
	$(METHOD) $(LATEXMKOPTS) $(THESISMAIN)

$(SHUJIMAIN).pdf: $(CLSFILES) FORCE_MAKE
	$(METHOD) $(LATEXMKOPTS) $(SHUJIMAIN)

else ifneq (,$(filter $(METHOD),xelatex pdflatex))

$(PACKAGE).pdf: $(CLSFILES)
	$(METHOD) $(PACKAGE).dtx
	makeindex -s gind.ist -o $(PACKAGE).ind $(PACKAGE).idx
	makeindex -s gglo.ist -o $(PACKAGE).gls $(PACKAGE).glo
	$(METHOD) $(PACKAGE).dtx
	$(METHOD) $(PACKAGE).dtx

$(THESISMAIN).pdf: $(CLSFILES) $(THESISCONTENTS) $(THESISMAIN).bbl
	$(METHOD) $(THESISMAIN)
	$(METHOD) $(THESISMAIN)

$(THESISMAIN).bbl: $(BIBFILE)
	$(METHOD) $(THESISMAIN)
	-bibtex $(THESISMAIN)
	$(RM) $(THESISMAIN).pdf

$(SHUJIMAIN).pdf: $(CLSFILES) $(SHUJICONTENTS)
	$(METHOD) $(SHUJIMAIN)

else
$(error Unknown METHOD: $(METHOD))

endif

clean:
	latexmk -c $(PACKAGE).dtx $(THESISMAIN) $(SHUJIMAIN)
	-@$(RM) *~

cleanall: clean
	-@$(RM) $(PACKAGE).pdf $(THESISMAIN).pdf $(SHUJIMAIN).pdf

distclean: cleanall
	-@$(RM) $(CLSFILES)
	-@$(RM) -r dist

check: FORCE_MAKE
	ag 'Tsinghua University Thesis Template|\\def\\version|"version":' thuthesis.dtx package.json

dist: all
	@if [ -z "$(version)" ]; then \
		echo "Usage: make dist version=[x.y.z | ctan]"; \
	else \
		gulp build --version=$(version); \
	fi

=== texmf-dist/doc/latex/tree-dvips/Makefile ===

ALLFILES = README Makefile lingmacros.sty tree-dvips.sty avm.sty tree-dvips91.pro \
      tree-dvips91.script tree-manual.tex lingmacros-manual.tex avm-doc.tex \
      avm-doc.sty

all: tree-dvips.pro 

tar: 
	tar cf tree-dvips.tar ${ALLFILES}

tree-dvips.pro: tree-dvips.script
	squeeze < tree-dvips.script > tree-dvips.pro

=== texmf-dist/doc/support/crossrefware/Makefile ===
SCRIPTS = \
	ltx2crossrefxml.pl \
	bibdoiadd.pl \
	bibzbladd.pl


MAN1 = ${SCRIPTS:%.pl=%.1}

PDF = crossrefware.pdf

all:  ${MAN1} ${PDF}
	chmod a+x ${SCRIPTS}



%.1: %.pl
	pod2man -c "CROSSREF LIBRARY" -n $* -s 1 -r "" $< > $@




clean:
	$(RM) *.aux *.toc *.log *.tex *.idx *.ilg *.ind *.out *.zip *.tgz

distclean: clean
	$(RM) *.pdf *.1 *.3


%.pdf: %.tex
	pdflatex $*
	makeindex $*
	pdflatex $*

crossrefware.tex:  head.ltx

crossrefware.tex: ${SCRIPTS} 
	pod2latex -modify -full -prefile head.ltx -out $@ $+

archive: all clean
	cd ..; tar -czvf crossrefware.tgz crossref --exclude CVS \
	--exclude test --exclude *.bib

=== texmf-dist/source/fonts/cantarell/Makefile ===
## Makefile
## Copyright 2011, 2012 Mohamed El Morabity
#
# This work may be distributed and/or modified under the conditions of the LaTeX
# Project Public License, either version 1.3 of this license or (at your option)
# any later version. The latest version of this license is in
# http://www.latex-project.org/lppl.txt and version 1.3 or later is part of all
# distributions of LaTeX version 2005/12/01 or later.
#
# This work has the LPPL maintenance status `maintained'.
#
# The Current Maintainer of this work is Mohamed El Morabity
#
# This work consists of all files listed in manifest.txt.

######################
# Fonts informations #
######################

FONT_NAME = cantarell
FOUNDRY = public
FONT_CODES = fca

# Supported LaTeX encodings
SUPPORTED_ENCODINGS = ot1 t1 ts1 t2a t2b t2c x2 # lgr
# Supported LaTeX encodings containing small caps
SUPPORTED_SC_ENCODINGS = $(filter-out ts1,$(SUPPORTED_ENCODINGS))
# Custom encodings provided
INPUT_ENCODINGS = $(INPUT_ETX_FILES:$(FONT_NAME)-%.etx=%)


#####################
# Installation root #
#####################

TEXMFHOME = $(shell kpsexpand '$$TEXMFHOME')


###########
# Archive #
###########

ARCHIVE_ROOT = $(FONT_NAME)
ARCHIVE = $(FONT_NAME).zip


###########
# Sources #
###########

FONTFORGE_FILES = $(wildcard *.sfd)

# Fontinst files
FONTINST_FILE = $(FONT_NAME)-drv.tex
FONTINST_MAP_FILE = $(FONT_NAME)-map.tex

# Custom Fontinst encoding files
INPUT_ETX_FILES = $(FONT_NAME)-01.etx $(FONT_NAME)-02.etx $(FONT_NAME)-03.etx
MTX_FILES = $(FONT_NAME)-fixlatin.mtx $(FONT_NAME)-fixtextcomp.mtx $(FONT_NAME)-fixcyrillic.mtx $(FONT_NAME)-fixgreek.mtx

STYLE_FILES = $(wildcard *.sty)

DOCUMENTATION = $(FONT_NAME).tex $(FONT_NAME).pdf $(FONT_NAME)-samples.tex $(FONT_NAME)-samples.pdf README CHANGES

# Files to be installed in texmf/source
SOURCE_FILES = $(FONTFORGE_FILES) $(FONTINST_FILE) $(FONTINST_MAP_FILE) $(INPUT_ETX_FILES) $(MTX_FILES) Makefile sfd2type1.pe


###################
# Generated files #
###################

TYPE1_FILES = $(FONTFORGE_FILES:.sfd=.pfb)
AFM_FILES = $(TYPE1_FILES:.pfb=.afm)

# Fontinst log file
FONTINST_REC_FILE = $(FONT_NAME)-rec.tex

# Metrics files
PL_FILES = $(foreach e,$(INPUT_ENCODINGS),            \
             $(FONTFORGE_FILES:.sfd=-$(e).pl)         \
             $(FONTFORGE_FILES:.sfd=-Slanted-$(e).pl) \
           )
OUTPUT_MTX_FILES = $(PL_FILES:.pl=.mtx)
VPL_FILES = $(foreach e,$(SUPPORTED_ENCODINGS),                   \
              $(FONTFORGE_FILES:.sfd=-$(e).vpl)                   \
              $(FONTFORGE_FILES:.sfd=-Slanted-$(e).vpl)           \
            )                                                     \
            $(foreach e,$(SUPPORTED_SC_ENCODINGS),                \
              $(FONTFORGE_FILES:.sfd=-SmallCaps-$(e).vpl)         \
              $(FONTFORGE_FILES:.sfd=-Slanted-SmallCaps-$(e).vpl) \
            )
TFM_FILES = $(PL_FILES:.pl=.tfm) $(VPL_FILES:.vpl=.tfm)
VF_FILES = $(VPL_FILES:.vpl=.vf)

MAP = $(FONT_NAME).map

# Font definition files
FD_FILES = $(foreach e,$(SUPPORTED_ENCODINGS), \
             $(foreach f,$(FONT_CODES),        \
               $(e)$(f).fd                     \
             )                                 \
           )

# Generated encoding files
ENC_FILES = $(INPUT_ETX_FILES:.etx=.enc)

# Generated files to be installed
GENERATED_FILES = $(TYPE1_FILES) $(AFM_FILES) $(TFM_FILES) $(VF_FILES) $(MAP) $(FD_FILES) $(ENC_FILES)


default: all


all: dist


dist: $(ARCHIVE)


%.pfb %.afm: %.sfd
	fontforge sfd2type1.pe $<


%.tfm: %.pl
	pltotf $< $@


%.tfm: %.vpl
	vptovf $^ $


%.vf: %.vpl
	vptovf $^ $@


$(FONTINST_REC_FILE): $(AFM_FILES) $(MTX_FILES) $(FONTINST_FILE)
	latex $(FONTINST_FILE)


$(PL_FILES) $(VPL_FILES): $(FONTINST_REC_FILE)


$(MAP): $(FONTINST_REC_FILE) $(FONTINST_MAP_FILE)
	latex $(FONTINST_MAP_FILE)


$(FD_FILES) $(ENC_FILES): $(MAP)


texmf-tree: clean-texmf-tree $(GENERATED_FILES) $(SOURCES_FILES)
	mkdir -p $(ARCHIVE_ROOT)/doc/fonts/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/tex/latex/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/fonts/{enc,map}/dvips/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/fonts/{afm,tfm,type1,vf}/$(FOUNDRY)/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/source/fonts/$(FONT_NAME)/
	cp -p $(DOCUMENTATION) $(ARCHIVE_ROOT)/doc/fonts/$(FONT_NAME)/
	cp -p $(FD_FILES) $(STYLE_FILES) $(ARCHIVE_ROOT)/tex/latex/$(FONT_NAME)/
	cp -p $(ENC_FILES) $(ARCHIVE_ROOT)/fonts/enc/dvips/$(FONT_NAME)/
	cp -p $(MAP) $(ARCHIVE_ROOT)/fonts/map/dvips/$(FONT_NAME)/
	cp -p $(AFM_FILES) $(ARCHIVE_ROOT)/fonts/afm/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(TFM_FILES) $(ARCHIVE_ROOT)/fonts/tfm/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(TYPE1_FILES) $(ARCHIVE_ROOT)/fonts/type1/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(VF_FILES) $(ARCHIVE_ROOT)/fonts/vf/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(SOURCE_FILES) $(ARCHIVE_ROOT)/source/fonts/$(FONT_NAME)/
	cp -p README $(ARCHIVE_ROOT)
	cd $(ARCHIVE_ROOT) && find . -type f > manifest.txt


$(ARCHIVE): clean-texmf-tree texmf-tree
	zip -r $@ $(ARCHIVE_ROOT)


install: texmf-tree
	mkdir -p $(TEXMFHOME)
	cp -a $(ARCHIVE_ROOT)/* $(TEXMFHOME)
	texhash
	updmap --enable Map=$(MAP)


uninstall:
	$(RM) -r $(TEXMFHOME)/doc/latex/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/tex/latex/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/fonts/{enc,map}/dvips/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/fonts/{afm,tfm,type1,vf}/$(FOUNDRY)/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/source/$(FONT_NAME)/
	updmap --disable $(MAP)
	texhash


clean: clean-texmf-tree
	$(RM) $(TYPE1_FILES) $(AFM_FILES)
	$(RM) $(FONTINST_REC_FILE)
	$(RM) $(PL_FILES) $(TYPE1_FILES:.pfb=.pl)
	$(RM) $(OUTPUT_MTX_FILES) $(TYPE1_FILES:.pfb=.mtx)
	$(RM) $(VPL_FILES)
	$(RM) $(TFM_FILES)
	$(RM) $(VF_FILES)
	$(RM) $(MAP)
	$(RM) $(FD_FILES)
	$(RM) $(ENC_FILES)
	$(RM) $(ARCHIVE)
	$(RM) *~ *.log


clean-texmf-tree:
	$(RM) -r $(ARCHIVE_ROOT)


.PHONY: clean clean-texmf-tree texmf-tree

=== texmf-dist/source/fonts/opensans/Makefile ===
## Makefile
## Copyright 2011 Mohamed El Morabity
#
# This work may be distributed and/or modified under the conditions of the LaTeX
# Project Public License, either version 1.3 of this license or (at your option)
# any later version. The latest version of this license is in
# http://www.latex-project.org/lppl.txt and version 1.3 or later is part of all
# distributions of LaTeX version 2005/12/01 or later.
#
# This work has the LPPL maintenance status `maintained'.
#
# The Current Maintainer of this work is Mohamed El Morabity
#
# This work consists of all files listed in manifest.txt.

######################
# Fonts informations #
######################

FONT_NAME = opensans
FOUNDRY = public
FONT_CODES = fos fosj

# Supported LaTeX encodings
SUPPORTED_ENCODINGS = ot1 t1 ts1 t2a t2b t2c x2 lgr
# Supported LaTeX encodings containing small caps
SUPPORTED_SC_ENCODINGS = $(filter-out ts1,$(SUPPORTED_ENCODINGS))
# Custom encodings provided
INPUT_ENCODINGS = $(INPUT_ETX_FILES:$(FONT_NAME)-%.etx=%)


#####################
# Installation root #
#####################

TEXMFHOME = $(shell kpsexpand '$$TEXMFHOME')


###########
# Archive #
###########

ARCHIVE_ROOT = $(FONT_NAME)
ARCHIVE = $(FONT_NAME).zip


###########
# Sources #
###########

TRUETYPE_FILES = $(wildcard *.ttf)

# Fontinst files
FONTINST_FILE = $(FONT_NAME)-drv.tex
FONTINST_MAP_FILE = $(FONT_NAME)-map.tex

# Custom Fontinst encoding files
INPUT_ETX_FILES = $(FONT_NAME)-01.etx $(FONT_NAME)-02.etx $(FONT_NAME)-03.etx $(FONT_NAME)-04.etx
ETX_FILES = $(FONT_NAME)-osfigures.etx
MTX_FILES = $(FONT_NAME)-fixlatin.mtx $(FONT_NAME)-fixtextcomp.mtx $(FONT_NAME)-fixcyrillic.mtx $(FONT_NAME)-fixgreek.mtx

STYLE_FILES = $(wildcard *.sty)

DOCUMENTATION = $(FONT_NAME).tex $(FONT_NAME).pdf $(FONT_NAME)-samples.tex $(FONT_NAME)-samples.pdf README CHANGES

# Files to be installed in texmf/source
SOURCE_FILES = $(FONTINST_FILE) $(FONTINST_MAP_FILE) $(INPUT_ETX_FILES) $(ETX_FILES) $(MTX_FILES) Makefile ttf2type1.pe



###################
# Generated files #
###################

TYPE1_FILES = $(TRUETYPE_FILES:.ttf=.pfb)
AFM_FILES = $(TYPE1_FILES:.pfb=.afm)

# Fontinst log file
FONTINST_REC_FILE = $(FONT_NAME)-rec.tex

# Metrics files
PL_FILES = $(foreach e,$(INPUT_ENCODINGS),   \
             $(TRUETYPE_FILES:.ttf=-$(e).pl) \
           )
OUTPUT_MTX_FILES = $(PL_FILES:.pl=.mtx)
VPL_FILES = $(foreach e,$(SUPPORTED_ENCODINGS),                    \
              $(TRUETYPE_FILES:.ttf=-$(e:$(FONT_NAME)-=).vpl)      \
            )                                                      \
            $(foreach e,$(SUPPORTED_SC_ENCODINGS),                 \
              $(TRUETYPE_FILES:.ttf=-OSFigures-$(e).vpl)           \
              $(TRUETYPE_FILES:.ttf=-SmallCaps-$(e).vpl)           \
              $(TRUETYPE_FILES:.ttf=-SmallCaps-OSFigures-$(e).vpl) \
            )
TFM_FILES = $(PL_FILES:.pl=.tfm) $(VPL_FILES:.vpl=.tfm)
VF_FILES = $(VPL_FILES:.vpl=.vf)

MAP = $(FONT_NAME).map

# Font definition files
FD_FILES = $(foreach e,$(SUPPORTED_ENCODINGS), \
               $(FONT_CODES:%=$(e)%.fd)        \
           )

# Generated encoding files
ENC_FILES = $(INPUT_ETX_FILES:.etx=.enc)

# Generated files to be installed
GENERATED_FILES = $(TYPE1_FILES) $(AFM_FILES) $(TFM_FILES) $(VF_FILES) $(MAP) $(FD_FILES) $(ENC_FILES)




default: all


all: dist


dist: $(ARCHIVE)


%.pfb %.afm: %.ttf
	fontforge ttf2type1.pe $<


%.tfm: %.pl
	pltotf $< $@


%.tfm: %.vpl
	vptovf $^ $


%.vf: %.vpl
	vptovf $^ $@


$(FONTINST_REC_FILE): $(AFM_FILES) $(MTX_FILES) $(FONTINST_FILE)
	latex $(FONTINST_FILE)


$(PL_FILES) $(VPL_FILES): $(FONTINST_REC_FILE)


$(MAP): $(FONTINST_REC_FILE) $(FONTINST_MAP_FILE)
	latex $(FONTINST_MAP_FILE)


$(FD_FILES) $(ENC_FILES): $(MAP)


texmf-tree: clean-texmf-tree $(GENERATED_FILES) $(SOURCES_FILES)
	mkdir -p $(ARCHIVE_ROOT)/doc/fonts/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/tex/latex/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/fonts/{enc,map}/dvips/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/fonts/{afm,tfm,truetype,type1,vf}/$(FOUNDRY)/$(FONT_NAME)/
	mkdir -p $(ARCHIVE_ROOT)/source/fonts/$(FONT_NAME)/
	cp -p $(DOCUMENTATION) $(ARCHIVE_ROOT)/doc/fonts/$(FONT_NAME)/
	cp -p $(FD_FILES) $(STYLE_FILES) $(ARCHIVE_ROOT)/tex/latex/$(FONT_NAME)/
	cp -p $(ENC_FILES) $(ARCHIVE_ROOT)/fonts/enc/dvips/$(FONT_NAME)/
	cp -p $(MAP) $(ARCHIVE_ROOT)/fonts/map/dvips/$(FONT_NAME)/
	cp -p $(AFM_FILES) $(ARCHIVE_ROOT)/fonts/afm/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(TFM_FILES) $(ARCHIVE_ROOT)/fonts/tfm/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(TRUETYPE_FILES) $(ARCHIVE_ROOT)/fonts/truetype/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(TYPE1_FILES) $(ARCHIVE_ROOT)/fonts/type1/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(VF_FILES) $(ARCHIVE_ROOT)/fonts/vf/$(FOUNDRY)/$(FONT_NAME)/
	cp -p $(SOURCE_FILES) $(ARCHIVE_ROOT)/source/fonts/$(FONT_NAME)/
	cp -p README $(ARCHIVE_ROOT)
	cd $(ARCHIVE_ROOT) && find . -type f > manifest.txt


$(ARCHIVE): clean-texmf-tree texmf-tree
	zip -r $@ $(ARCHIVE_ROOT)


install: texmf-tree
	mkdir -p $(TEXMFHOME)
	cp -a $(ARCHIVE_ROOT)/* $(TEXMFHOME)
	texhash
	updmap --enable Map=$(MAP)


uninstall:
	$(RM) -r $(TEXMFHOME)/doc/latex/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/tex/latex/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/fonts/{enc,map}/dvips/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/fonts/{afm,tfm,type1,vf}/$(FOUNDRY)/$(FONT_NAME)/
	$(RM) -r $(TEXMFHOME)/source/$(FONT_NAME)/
	updmap --disable $(MAP)
	texhash


clean: clean-texmf-tree
	$(RM) $(TYPE1_FILES) $(AFM_FILES)
	$(RM) $(FONTINST_REC_FILE)
	$(RM) $(PL_FILES) $(TYPE1_FILES:.pfb=.pl)
	$(RM) $(OUTPUT_MTX_FILES) $(TYPE1_FILES:.pfb=.mtx)
	$(RM) $(VPL_FILES)
	$(RM) $(TFM_FILES)
	$(RM) $(VF_FILES)
	$(RM) $(MAP)
	$(RM) $(FD_FILES)
	$(RM) $(ENC_FILES)
	$(RM) $(ARCHIVE)
	$(RM) *~ *.log


clean-texmf-tree:
	$(RM) -r $(ARCHIVE_ROOT)


.PHONY: clean clean-texmf-tree texmf-tree

=== debian/changelog ===
texlive-extra (2015.20160320-1) unstable; urgency=medium

  * new upstream checkout
  * texlive-bibtex-extra: break on old biber for biblatex 3.3
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sun, 20 Mar 2016 13:37:48 +0900

texlive-extra (2015.20160223-2) unstable; urgency=medium

  * re-add dropped dependency when incorporating jadetex (Closes: #816584)

 -- Norbert Preining <preining@debian.org>  Thu, 10 Mar 2016 16:19:25 +0900

texlive-extra (2015.20160223-1) unstable; urgency=medium

  * new upstream checkout
  * ensure proper upgrade from intermediate sid releases
    (replaces for texlive-math-extra vs texlive-latex-extra)
  * reinclusion of musixtex, pmx, m-tx in texlive-music
  * reintroduction of texlive-htmlxml which carries passivetex,
    jadetex, xmltex (tex4ht remains separate for now)

 -- Norbert Preining <preining@debian.org>  Tue, 23 Feb 2016 12:33:45 +0900

texlive-extra (2015.20160215-1) unstable; urgency=medium

  * new upstream checkout
  * tl-math-extra depends on tl-luatex (unicode-math -> ucharcat)
    (Closes: #811508)
  * fix perl-noisiness in texdef (Closes: #812154)
  * fix algorithm2e.sty superfluous brace (Closes: #814317)

 -- Norbert Preining <preining@debian.org>  Mon, 15 Feb 2016 20:04:27 +0900

texlive-extra (2015.20160117-1) unstable; urgency=medium

  * new upstream checkout
  * fix some font links (Gentium, Roboto) (Closes: #809202)

 -- Norbert Preining <preining@debian.org>  Sun, 17 Jan 2016 16:48:00 +0900

texlive-extra (2015.20151225-2) unstable; urgency=medium

  * simplewick moved from latex-extra to science (Closes: #809039)

 -- Norbert Preining <preining@debian.org>  Sun, 27 Dec 2015 09:45:00 +0900

texlive-extra (2015.20151225-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Sat, 26 Dec 2015 10:42:50 +0900

texlive-extra (2015.20151116-1) unstable; urgency=medium

  * new upstream checkout
  * switch back to upstream droid fonts (Closes: #804690)

 -- Norbert Preining <preining@debian.org>  Mon, 16 Nov 2015 13:22:22 +0900

texlive-extra (2015.20151016-1) unstable; urgency=medium

  * new upstream checkout
  * set all packages to M-A: foreign

 -- Norbert Preining <preining@debian.org>  Fri, 16 Oct 2015 09:42:20 +0900

texlive-extra (2015.20150917-1) unstable; urgency=medium

  * new upstream checkout
  * remove pswrite device from epstopdf (Closes: #797537)

 -- Norbert Preining <preining@debian.org>  Thu, 17 Sep 2015 12:56:33 +0900

texlive-extra (2015.20150823-1) unstable; urgency=medium

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Sun, 23 Aug 2015 14:07:13 +0900

=== debian/control ===
Source: texlive-extra
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 6), findutils (>=4.2.0)
Standards-Version: 3.9.7
Homepage: http://www.tug.org/texlive/

Package: texlive-bibtex-extra
Architecture: all
Multi-Arch: foreign
Depends: texlive-binaries (>= 2015.20160222.37495-1), texlive-base (>= 2015), ${misc:Depends}, texlive-latex-base (>= 2015)
Breaks: texlive-base (<< 2015), biber (<< 2.4)
Description: TeX Live: BibTeX additional styles
 Additional BibTeX styles and bibliography data(bases), notably including 
 BibLaTeX.
 .
 This package includes the following CTAN packages:
 .
 aichej -- Bibliography style file for the AIChE Journal.
 .
 ajl -- BibTeX style for AJL.
 .
 amsrefs -- A LaTeX-based replacement for BibTeX.
 .
 apacite -- Citation style following the rules of the APA.
 .
 apalike2 -- Bibliography style that approaches APA requirements.
 .
 archaeologie -- Citation-style which covers rules of the German Archaeology
 Institute
 .
 beebe --
 .
 besjournals --
 .
 bestpapers -- A BibTeX package to produce lists of authors' best papers
 .
 bibarts -- "Arts"-style bibliographical information
 .
 bibexport -- Extract a BibTeX file based on a .aux file
 .
 bibhtml -- BibTeX support for HTML files.
 .
 biblatex -- Bibliographies in LaTeX using BibTeX for sorting only
 .
 biblatex-anonymous -- A tool to manage anonymous work with biblatex.
 .
 biblatex-apa -- BibLaTeX citation and reference style for APA
 .
 biblatex-bookinarticle -- Manage book edited in article
 .
 biblatex-bwl -- Biblatex citations for FU Berlin.
 .
 biblatex-caspervector -- A simple citation style for Chinese users
 .
 biblatex-chem -- A set of BibLaTeX implementations of chemistry-related
 bibliography styles
 .
 biblatex-chicago -- Chicago style files for biblatex.
 .
 biblatex-dw -- Humanities styles for biblatex.
 .
 biblatex-fiwi -- BibLaTeX styles for use in German humanities
 .
 biblatex-gost -- BibLaTeX support for GOST standard bibliographies
 .
 biblatex-historian -- A Biblatex style.
 .
 biblatex-ieee -- Ieee style files for biblatex.
 .
 biblatex-juradiss -- Biblatex stylefiles for German law thesis.
 .
 biblatex-luh-ipw -- Biblatex styles for social sciences.
 .
 biblatex-manuscripts-philology -- Manage classical manuscripts with BibLaTeX
 .
 biblatex-mla -- MLA style files for biblatex.
 .
 biblatex-multiple-dm -- Load multiple datamodels in biblatex
 .
 biblatex-musuos -- A biblatex style for citations in musuos.cls.
 .
 biblatex-nature -- BibLaTeX support for Nature
 .
 biblatex-nejm -- Biblatex style for the New England Journal of Medicine
 (NEJM).
 .
 biblatex-opcit-booktitle -- Use op. cit. for the booktitle of a subentry
 .
 biblatex-philosophy -- Styles for using BibLaTeX for work in philosophy
 .
 biblatex-phys -- A BibLaTeX implementation of the AIP and APS bibliography
 style
 .
 biblatex-publist -- BibLaTeX bibliography support for publication lists
 .
 biblatex-realauthor -- Indicate the real author of a work
 .
 biblatex-science -- BibLaTeX implementation of the Science bibliography
 style
 .
 biblatex-source-division -- References by "division" in classical sources.
 .
 biblatex-subseries -- Manages subseries with biblatex
 .
 biblatex-swiss-legal -- Bibliography and citation styles following Swiss
 legal practice.
 .
 biblatex-trad -- "Traditional" BibTeX styles with BibLaTeX.
 .
 biblatex-true-citepages-omit -- Correction of some limitation of the
 citepages=omit option of biblatex styles
 .
 biblist -- Print a BibTeX database.
 .
 bibtexperllibs -- BibTeX Perl Libraries
 .
 bibtopic -- Include multiple bibliographies in a document.
 .
 bibtopicprefix -- Prefix references to bibliographies produced by bibtopic.
 .
 bibunits -- Multiple bibliographies in one document.
 .
 bookdb -- A BibTeX style file for cataloguing a home library.
 .
 breakcites -- Ensure that multiple citations may break at line end.
 .
 cell -- Bibliography style for Cell.
 .
 chbibref -- Change the Bibliography/References title.
 .
 chicago -- A "Chicago" bibliography style.
 .
 chicago-annote -- Chicago-based annotated BibTeX style.
 .
 chembst -- A collection of BibTeX files for chemistry journals.
 .
 chscite -- Bibliography style for Chalmers University of Technology.
 .
 citeall -- Cite all entries of a bbl created with biblatex.
 .
 collref -- Collect blocks of references into a single reference.
 .
 compactbib -- Multiple thebibliography environments.
 .
 crossrefware -- Scripts for working with crossref.org
 .
 custom-bib -- Customised BibTeX styles.
 .
 din1505 -- Bibliography styles for German texts.
 .
 dk-bib -- Danish variants of standard BibTeX styles.
 .
 doipubmed -- Special commands for use in bibliographies.
 .
 ecobiblatex -- Global Ecology and Biogeography BibLaTeX styles for the Biber
 backend
 .
 economic -- BibTeX support for submitting to Economics journals.
 .
 fbs -- BibTeX style for Frontiers in Bioscience.
 .
 figbib -- Organize figure databases with BibTeX.
 .
 footbib -- Bibliographic references as footnotes.
 .
 francais-bst -- Bibliographies conforming to French typographic standards
 .
 geschichtsfrkl -- BibLaTeX style for historians
 .
 harvard -- Harvard citation package for use with LaTeX 2e.
 .
 harvmac -- Macros for scientific articles.
 .
 historische-zeitschrift -- Biblatex style for the journal 'Historische
 Zeitschrift'
 .
 ijqc -- BibTeX style file for the Intl. J. Quantum Chem.
 .
 inlinebib -- Citations in footnotes.
 .
 iopart-num -- Numeric citation style for IOP journals.
 .
 jneurosci -- BibTeX style for the Journal of Neuroscience.
 .
 jurabib -- Extended BibTeX citation support for the humanities and legal
 texts.
 .
 ksfh_nat -- BibTeX style for KSFH Munich.
 .
 listbib -- Lists contents of BibTeX files.
 .
 logreq -- Support for automation of the LaTeX workflow.
 .
 margbib -- Display bibitem tags in the margins.
 .
 multibib -- Multiple bibliographies within one document.
 .
 multibibliography -- Multiple versions of a bibliography, with different
 sort orders.
 .
 munich -- An alternative authordate bibliography style.
 .
 nar -- BibTeX style for Nucleic Acid Research
 .
 nmbib -- Multiple versions of a bibliography, with different sort orders.
 .
 notes2bib -- Integrating notes into the bibliography.
 .
 oscola -- BibLaTeX style for the Oxford Standard for the Citation of Legal
 Authorities.
 .
 perception -- BibTeX style for the journal Perception.
 .
 pnas2009 -- Bibtex style for PNAS.
 .
 rsc -- BibTeX style for use with RSC journals.
 .
 showtags -- Print the tags of bibliography entries.
 .
 sort-by-letters -- Bibliography styles for alphabetic sorting.
 .
 splitbib -- Split and reorder your bibliography.
 .
 turabian-formatting -- Formatting based on Turabian's Manual
 .
 uni-wtal-ger -- Citation style for literary studies at the University of
 Wuppertal.
 .
 uni-wtal-lin -- Citation style for linguistic studies at the University of
 Wuppertal.
 .
 urlbst -- Web support for BibTeX.
 .
 usebib -- A simple bibliography processor.
 .
 vak -- BibTeX style for Russian Theses, books, etc.
 .
 xcite -- Use citation keys from a different document.

Package: texlive-extra-utils
Architecture: all
Multi-Arch: foreign
Depends: python2.7 | python3, texlive-binaries (>= 2015.20160222.37495-1), texlive-base (>= 2015), texlive-latex-base (>= 2015), ${misc:Depends}, texlive-base (>= 2015)
Recommends: texlive-latex-recommended, libyaml-tiny-perl, ghostscript, libfile-homedir-perl, ruby | ruby-interpreter
Provides: pdfjam
Suggests: dvipng, dvidvi, xindy, fragmaster, purifyeps, lacheck, chktex, latexmk, latexdiff
Breaks: texlive-base (<< 2015)
Description: TeX Live: TeX auxiliary programs
 Various useful, but non-essential, support programs. Includes programs and 
 macros for DVI file manipulation, literate programming, patgen, and the TeX 
 Works Editor.
 .
 This package includes the following CTAN packages:
 .
 a2ping -- Advanced PS, PDF, EPS converter.
 .
 adhocfilelist -- '\listfiles' entries from the command line.
 .
 arara -- Automation of LaTeX compilation.
 .
 bibtex8 -- A fully 8-bit adaptation of BibTeX 0.99.
 .
 bibtexu --
 .
 bundledoc -- Bundle together all the files needed to build a LaTeX document.
 .
 checklistings -- Pass verbatim contents through a compiler and reincorporate
 the resulting output
 .
 ctan_chk -- Ctan guidelines verifier and corrector for uploading projects.
 .
 ctanify -- Prepare a package for upload to CTAN
 .
 ctanupload -- Support for users uploading to CTAN.
 .
 ctie -- C version of tie (merging Web change files).
 .
 cweb -- A Web system in C
 .
 de-macro -- Expand private macros in a document.
 .
 detex -- Strip TeX from a source file.
 .
 dtl -- Tools to dis-assemble and re-assemble DVI files.
 .
 dtxgen -- Creates a template for a self-extracting .dtx file
 .
 dvi2tty -- Produce ASCII from DVI.
 .
 dviasm -- A utility for editing DVI files.
 .
 dvicopy -- Copy DVI files, flattening VFs.
 .
 dviljk -- DVI to Laserjet output.
 .
 dvipos --
 .
 dvisvgm -- Convert DVI files to Scalable Vector Graphics format (SVG).
 .
 findhyph -- Find hyphenated words in a document
 .
 hook-pre-commit-pkg -- Pre-commit git hook for LaTeX package developpers.
 .
 hyphenex -- US English hyphenation exceptions file.
 .
 installfont -- A bash script for installing a LaTeX font family.
 .
 latex-git-log -- Typeset git log information.
 .
 latex2man -- Translate LaTeX-based manual pages into Unix man format.
 .
 latexfileversion -- Prints the version and date of a LaTeX class or style
 file.
 .
 latexpand -- Expand \input and \include in a LaTeX document.
 .
 latexindent -- Indent a LaTeX document, highlighting the programming
 structure.
 .
 ltxfileinfo -- Print version information for a LaTeX file
 .
 ltximg -- Split LaTeX files to sanitise a conversion process.
 .
 listings-ext -- Automated input of source.
 .
 make4ht -- A build system for tex4ht
 .
 match_parens -- Find mismatches of parentheses, braces, (angle) brackets, in
 texts.
 .
 mkjobtexmf -- Generate a texmf tree for a particular job.
 .
 patgen -- Generate hyphenation patterns.
 .
 pdfbook2 -- Create booklets from PDF files.
 .
 pdfcrop -- Crop PDF graphics.
 .
 pdfjam -- Shell scripts interfacing to pdfpages.
 .
 pdftools -- PDF-related utilities, including PostScript-to-PDF conversion
 .
 pfarrei -- LaTeX support of pastors' and priests' work.
 .
 pkfix -- Replace pk fonts in PostScript with Type 1 fonts.
 .
 pkfix-helper -- Make PostScript files accessible to pkfix.
 .
 pythontex -- Run Python from within a document, typesetting the results.
 .
 seetexk -- Utilities for manipulating DVI files.
 .
 srcredact -- A tool for redacting sources
 .
 sty2dtx -- Create a .dtx file from a .sty file.
 .
 synctex --
 .
 tex4ebook -- Convertor from LaTeX to ebook formats
 .
 texcount -- Count words in a LaTeX document.
 .
 texdef -- Display the definitions of TeX commands.
 .
 texdiff -- Compare documents and produce tagged merge.
 .
 texdirflatten -- Collect files related to a LaTeX job in a single directory.
 .
 texfot -- Filter clutter from the output of a TeX run
 .
 texliveonfly -- On-the-fly download of missing TeX live packages.
 .
 texloganalyser -- Analyse TeX logs.
 .
 texware -- Utility programs for use with TeX.
 .
 tie -- Allow multiple web change files.
 .
 tpic2pdftex -- Use tpic commands in PDFTeX.
 .
 typeoutfileinfo -- Display class/package/file information.
 .
 web -- original web programs tangle and weave

Package: texlive-font-utils
Architecture: all
Multi-Arch: foreign
Depends: texlive-base (>= 2015), texlive-binaries (>= 2015.20160222.37495-1), texlive-base (>= 2015), ${misc:Depends}
Recommends: ghostscript, ps2eps
Suggests: psutils, t1utils
Breaks: texlive-base (<< 2015)
Description: TeX Live: Graphics and font utilities

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-extra

PACKAGES=texlive-bibtex-extra texlive-extra-utils texlive-font-utils texlive-formats-extra texlive-generic-extra texlive-math-extra texlive-plain-extra texlive-latex-extra texlive-fonts-extra texlive-music texlive-games texlive-pstricks texlive-publishers texlive-humanities texlive-science texlive-htmlxml texlive-fonts-extra-doc texlive-humanities-doc texlive-latex-extra-doc texlive-pstricks-doc texlive-publishers-doc texlive-science-doc
METAPACKAGES=etoolbox

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info,manpages} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done

	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done

	install debian/pythontex3 debian/depythontex3 debian/texlive-extra-utils/usr/bin

	# move ltx-help.el into emacs directory

	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	dh_installtex -A --flavor=tree:texlive

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	dh_installmime
	dh_lintian
	dh_link
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -Ntexlive-latex-extra-doc -- -Zxz
	dh_builddeb -ptexlive-latex-extra-doc -- -Zxz -Sextreme -z9


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
